> ## Documentation Index
> Fetch the complete documentation index at: https://docs.byblend.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a supervisorial relationship

> Create a supervisorial relationship for a specific prescriber in a specific state. Supervisors must have a valid qualification in any state to supervise.



## OpenAPI

````yaml /openapi-public.yml post /api/v1/prescribers/{prescriber_id}/supervisors
openapi: 3.0.3
info:
  title: Blend API
  version: 1.0.0
  description: API for Blend
servers:
  - url: https://api.byblend.com
    description: Blend production server
security:
  - bearerAuth: []
tags:
  - name: Orders
    description: Order management endpoints
  - name: Patients
    description: Patient management endpoints
  - name: Reports
    description: Reporting endpoints
  - name: Products and Materials
    description: Product catalog and inventory endpoints
  - name: Electronic Prescriptions
    description: Electronic prescription management endpoints
  - name: Prescriptions
    description: Prescription management endpoints
  - name: Authentication
    description: Authentication endpoints
  - name: Notifications
    description: User management endpoints
  - name: Prescribers
paths:
  /api/v1/prescribers/{prescriber_id}/supervisors:
    post:
      tags:
        - Prescribers
      summary: Create a supervisorial relationship
      description: >-
        Create a supervisorial relationship for a specific prescriber in a
        specific state. Supervisors must have a valid qualification in any state
        to supervise.
      parameters:
        - name: prescriber_id
          in: path
          required: true
          description: Unique (UUID) identifier, or 10-digit NPI, for the prescriber
          schema:
            type: string
            format: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PrescriberSupervisorCreate'
      responses:
        '201':
          description: Supervisor created successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PrescriberSupervisor'
components:
  schemas:
    PrescriberSupervisorCreate:
      type: object
      properties:
        supervisor_id:
          type: string
          format: uuid
          example: 0227d1e5-ba9a-42b5-8fe2-38882aa65708
        state:
          type: string
          example: CA
    PrescriberSupervisor:
      type: object
      allOf:
        - $ref: '#/components/schemas/ID'
        - $ref: '#/components/schemas/Timestamps'
        - type: object
          properties:
            supervisor:
              $ref: '#/components/schemas/PrescriberSimple'
            supervisee:
              $ref: '#/components/schemas/PrescriberSimple'
    ID:
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: Unique identifier
          example: 0227d1e5-ba9a-42b5-8fe2-38882aa65708
    Timestamps:
      type: object
      properties:
        created_at:
          type: string
          format: date-time
          description: Date and time of creation
          example: '2025-03-15T12:00:00Z'
        updated_at:
          type: string
          format: date-time
          description: Date and time of last update
          example: '2025-03-15T12:00:00Z'
    PrescriberSimple:
      type: object
      allOf:
        - $ref: '#/components/schemas/ID'
        - type: object
          properties:
            first_name:
              type: string
              example: Willard
            last_name:
              type: string
              example: Donnelly
            npi:
              type: string
              example: '1234567890'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````